Subject: [EAT] Rats and EAT

From: Laurence Lundblade <[email-masked]>
Date: Fri, 6 Jul 2018 12:20:24 -0700

Hey EAT and Rats folks, just became aware of IETF attestation work running in parallel. Seems like EAT is focused more on an independent signed, self-secured data structure with a lot of clams. Rats, seems more TPM and full protocol centric, but I’m still reading.

Here’s a list of attestation work that Diego and Henk made:
https://datatracker.ietf.org/doc/draft-pastor-i2nsf-nsf-remote-attestation/ <https://datatracker.ietf.org/doc/draft-pastor-i2nsf-nsf-remote-attestation/>
https://datatracker.ietf.org/doc/draft-birkholz-i2nsf-tuda/ <https://datatracker.ietf.org/doc/draft-birkholz-i2nsf-tuda/>
https://datatracker.ietf.org/doc/draft-mandyam-eat/ <https://datatracker.ietf.org/doc/draft-mandyam-eat/>
https://datatracker.ietf.org/doc/draft-mandyam-tokbind-attest/ <https://datatracker.ietf.org/doc/draft-mandyam-tokbind-attest/>
https://datatracker.ietf.org/doc/draft-birkholz-reference-ra-interaction-model/ <https://datatracker.ietf.org/doc/draft-birkholz-reference-ra-interaction-model/>
https://datatracker.ietf.org/doc/draft-birkholz-yang-basic-remote-attestation/ <https://datatracker.ietf.org/doc/draft-birkholz-yang-basic-remote-attestation/>
https://datatracker.ietf.org/doc/draft-birkholz-attestation-terminology/ <https://datatracker.ietf.org/doc/draft-birkholz-attestation-terminology/>

A couple of other interesting non-TPM “attestation" technologies:
- FIDO <https://www.w3.org/Submission/2015/SUBM-fido-key-attestation-20151120/> does attestation of FIDO authenticators
- Android KeyStore <https://developer.android.com/training/articles/security-key-attestation> uses the term to mean proving the provenance of a stored key
- IEEE 802.1AR is kind of an attestation too

FYI, the IETF attestation events I know of so far are:
 - I’ll present EAT at HotRFC Sunday around 18:00
 - Secdispatch discussion of EAT (and Rats?) Monday at 15:30 (At least I hope; no confirmation yet)
 - EAT BarBof Monday at 18:00
 - Rats BarBof Thursday after dinner

I will attend them all :-)

LL

---

From: Yaron Sheffer <[email-masked]>
Date: Sun, 8 Jul 2018 00:51:27 +0300

I'm a bit surprised that nobody's mentioning the work done by the IETF 
NEA working group <https://datatracker.ietf.org/wg/nea/about/>. Yes, 
it's been some time ago, but the people involved were (to the best of my 
knowledge) involved with the TCG community.

NEA was about desktop machines and NAC rather than mobile devices, but 
hey, by now we should be looking for solutions that encompass both 
technologies!

See this diagram 
<https://wiki.strongswan.org/projects/1/wiki/trustednetworkconnect> on 
how the complex NEA/TNC architecture fits together, including the TPM.

Thanks,

     Yaron

On 06/07/18 22:20, Laurence Lundblade wrote:
> Hey EAT and Rats folks, just became aware of IETF attestation work 
> running in parallel. Seems like EAT is focused more on an independent 
> signed, self-secured data structure with a lot of clams. Rats, seems 
> more TPM and full protocol centric, but I’m still reading.
>
> https://datatracker.ietf.org/doc/draft-pastor-i2nsf-nsf-remote-attestation/
> https://datatracker.ietf.org/doc/draft-birkholz-i2nsf-tuda/
> https://datatracker.ietf.org/doc/draft-mandyam-eat/
> https://datatracker.ietf.org/doc/draft-mandyam-tokbind-attest/
> https://datatracker.ietf.org/doc/draft-birkholz-reference-ra-interaction-model/
> https://datatracker.ietf.org/doc/draft-birkholz-yang-basic-remote-attestation/
> https://datatracker.ietf.org/doc/draft-birkholz-attestation-terminology/
>
> - FIDO 
> <https://www.w3.org/Submission/2015/SUBM-fido-key-attestation-20151120/> does 
> attestation of FIDO authenticators
> - Android KeyStore 
> <https://developer.android.com/training/articles/security-key-attestation> uses 
> the term to mean proving the provenance of a stored key

---

From: Hannes Tschofenig <[email-masked]>
Date: Sun, 8 Jul 2018 13:39:31 +0000

Hi Yaron,

Eliot mentioned NEA on the mailing list. It would be interesting to hear what lessons can be learned from NEA.

Ciao
Hannes

From: EAT [mailto:[email-masked]] On Behalf Of Yaron Sheffer
Sent: 08 July 2018 06:51
To: Laurence Lundblade; [email-masked]; [email-masked]
Subject: Re: [EAT] [Rats] Rats and EAT

I'm a bit surprised that nobody's mentioning the work done by the IETF NEA working group<https://datatracker.ietf.org/wg/nea/about/>. Yes, it's been some time ago, but the people involved were (to the best of my knowledge) involved with the TCG community.

NEA was about desktop machines and NAC rather than mobile devices, but hey, by now we should be looking for solutions that encompass both technologies!

See this diagram<https://wiki.strongswan.org/projects/1/wiki/trustednetworkconnect> on how the complex NEA/TNC architecture fits together, including the TPM.

Thanks,

    Yaron

A couple of other interesting non-TPM “attestation" technologies:
- FIDO<https://www.w3.org/Submission/2015/SUBM-fido-key-attestation-20151120/> does attestation of FIDO authenticators
- Android KeyStore<https://developer.android.com/training/articles/security-key-attestation> uses the term to mean proving the provenance of a stored key
- IEEE 802.1AR is kind of an attestation too

LL

IMPORTANT NOTICE: The contents of this email and any attachments are confidential and may also be privileged. If you are not the intended recipient, please notify the sender immediately and do not disclose the contents to any other person, use it for any purpose, or store or copy the information in any medium. Thank you.

---

From: Diego Lopez <[email-masked]>
Date: Sun, 08 Jul 2018 18:44:54 +0200

And the use of NEA results is mentioned at least in one of the drafts on remote attestation referred in a previous message. Using NEA’s findings is certainly in our aim.

Be goode,

--
Likely to be brief and not very
elaborate as sent from my mobile
Diego R. Lopez

> On 8 Jul 2018, at 15:39, Hannes Tschofenig <[email-masked]> wrote:
> 
> Hi Yaron,
>  
> I'm a bit surprised that nobody's mentioning the work done by the IETF NEA working group. Yes, it's been some time ago, but the people involved were (to the best of my knowledge) involved with the TCG community.
> 
> See this diagram on how the complex NEA/TNC architecture fits together, including the TPM.
> 
> Thanks,
> 
>     Yaron
> 
>  
> - FIDO does attestation of FIDO authenticators
> - Android KeyStore uses the term to mean proving the provenance of a stored key
> _______________________________________________
> EAT mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/eat

---

From: Hannes Tschofenig <[email-masked]>
Date: Sun, 8 Jul 2018 16:54:13 +0000

Hi Diego,

what do you think are the lessons we can learn from NEA?
It clearly wasn’t as successful as hoped. I am sure there are reasons for that.

Ciao
Hannes

From: Diego Lopez [mailto:[email-masked]]
Sent: 09 July 2018 01:45
To: Hannes Tschofenig
Cc: Yaron Sheffer; Laurence Lundblade; [email-masked]; [email-masked]
Subject: Re: [EAT] [Rats] Rats and EAT

Be goode,

On 8 Jul 2018, at 15:39, Hannes Tschofenig <[email-masked]<mailto:[email-masked]>> wrote:
Hi Yaron,

Ciao
Hannes

From: EAT [mailto:[email-masked]] On Behalf Of Yaron Sheffer
Sent: 08 July 2018 06:51
To: Laurence Lundblade; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [EAT] [Rats] Rats and EAT

Thanks,

    Yaron

LL

IMPORTANT NOTICE: The contents of this email and any attachments are confidential and may also be privileged. If you are not the intended recipient, please notify the sender immediately and do not disclose the contents to any other person, use it for any purpose, or store or copy the information in any medium. Thank you.
_______________________________________________
EAT mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/eat
IMPORTANT NOTICE: The contents of this email and any attachments are confidential and may also be privileged. If you are not the intended recipient, please notify the sender immediately and do not disclose the contents to any other person, use it for any purpose, or store or copy the information in any medium. Thank you.

---

From: Henk Birkholz <[email-masked]>
Date: Mon, 9 Jul 2018 11:47:46 +0200

Hello Yaron,

the TNC architecture was revised and update to 2.0 last year. You can 
find the current detailed architecture diagram in this document on page 
20 (Figure 5).

> https://trustedcomputinggroup.org/wp-content/uploads/TCG-TNC-Architecture-for-Interoperability-Version-2.0-Raevision-13-.pdf

There is also this freshly minted RFC that makes use of the architecture 
(RFC 5792, called IF-M in TCG lingo):

> https://datatracker.ietf.org/doc/rfc8412/

Viele Grüße,

Henk

On 07/07/2018 11:51 PM, Yaron Sheffer wrote:
> Rats mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rats
>

---

From: Henk Birkholz <[email-masked]>
Date: Mon, 9 Jul 2018 11:49:34 +0200

Replying to myself:

> https://trustedcomputinggroup.org/wp-content/uploads/TCG-TNC-Architecture-for-Interoperability-Version-2.0-Revision-13-.pdf

(somehow got an extra char in to that string)

On 07/09/2018 11:47 AM, Henk Birkholz wrote:
>> it's been some time ago, but the people involved were (to the best of 
>> my knowledge) involved with the TCG community.
>>

---

From: Yaron Sheffer <[email-masked]>
Date: Mon, 9 Jul 2018 17:02:29 +0300

Yes. As an outsider, it would appear that the focus of TNC is moving 
"upward" in the stack, looking more at software asset management (or 
configuration management) and less at hardware layer attestation.

OTOH the spec you cited does have all of Sec. 8 discussing how TPM fits 
into the picture.

Thanks,
	Yaron

On 09/07/18 12:49, Henk Birkholz wrote:
>> find the current detailed architecture diagram in this document on 
>> page 20 (Figure 5).
>>
>> There is also this freshly minted RFC that makes use of the 
>> architecture (RFC 5792, called IF-M in TCG lingo):
>>
>>> I'm a bit surprised that nobody's mentioning the work done by the 
>>> IETF NEA working group <https://datatracker.ietf.org/wg/nea/about/>. 
>>> Yes, it's been some time ago, but the people involved were (to the 
>>> best of my knowledge) involved with the TCG community.
>>>
>>> NEA was about desktop machines and NAC rather than mobile devices, 
>>> but hey, by now we should be looking for solutions that encompass 
>>> both technologies!
>>>
>>> See this diagram 
>>> <https://wiki.strongswan.org/projects/1/wiki/trustednetworkconnect> 
>>> on how the complex NEA/TNC architecture fits together, including the 
>>> TPM.
>>>
>>> Thanks,
>>>
>>>      Yaron
>>>
>>>
>>>> running in parallel. Seems like EAT is focused more on an 
>>>> independent signed, self-secured data structure with a lot of clams. 
>>>> Rats, seems more TPM and full protocol centric, but I’m still reading.
>>>>

---

From: Russ Housley <[email-masked]>
Date: Mon, 9 Jul 2018 11:12:54 -0400

The correct URL is: https://trustedcomputinggroup.org/wp-content/uploads/TCG-TNC-Architecture-for-Interoperability-Version-2.0-Revision-13-.pdf

> On Jul 9, 2018, at 5:47 AM, Henk Birkholz <[email-masked]> wrote:
> 
> Hello Yaron,
> 
> the TNC architecture was revised and update to 2.0 last year. You can find the current detailed architecture diagram in this document on page 20 (Figure 5).
> 
> There is also this freshly minted RFC that makes use of the architecture (RFC 5792, called IF-M in TCG lingo):
> 
>> I'm a bit surprised that nobody's mentioning the work done by the IETF NEA working group <https://datatracker.ietf.org/wg/nea/about/>. Yes, it's been some time ago, but the people involved were (to the best of my knowledge) involved with the TCG community.
>> See this diagram <https://wiki.strongswan.org/projects/1/wiki/trustednetworkconnect> on how the complex NEA/TNC architecture fits together, including the TPM.
>> Thanks,
>>     Yaron